PGPKeyRing
Date: 2016-06-23

org.bouncycastle.openpgp

## Class PGPKeyRing

- java.lang.Object
- - org.bouncycastle.openpgp.PGPKeyRing

- Direct Known Subclasses:
    PGPPublicKeyRing, PGPSecretKeyRing

      public abstract class PGPKeyRing
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `encode(java.io.OutputStream outStream)`
    `abstract byte[]` | `getEncoded()`
    `abstract PGPPublicKey` | `getPublicKey()` Return the first public key in the ring.
    `abstract PGPPublicKey` | `getPublicKey(long keyID)` Return the public key referred to by the passed in keyID if it is present.
    `abstract java.util.Iterator` | `getPublicKeys()` Return an iterator containing all the public keys.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPublicKey

          public abstract PGPPublicKey getPublicKey()

      Return the first public key in the ring. In the case of a `PGPSecretKeyRing` this is also the public key of the master key pair.
      Returns:
        PGPPublicKey

    - #### getPublicKeys

          public abstract java.util.Iterator getPublicKeys()

      Return an iterator containing all the public keys.
      Returns:
        Iterator

    - #### getPublicKey

          public abstract PGPPublicKey getPublicKey(long keyID)

      Return the public key referred to by the passed in keyID if it is present.
      Parameters:
        `keyID` -
      Returns:
        PGPPublicKey

    - #### encode

          public abstract void encode(java.io.OutputStream outStream)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getEncoded

          public abstract byte[] getEncoded()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`